Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003307 [JEDI VCL] 02 Installation major always 2005-11-06 07:09 2005-11-23 00:56
Reporter buskmann View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003307: Compilation fails with C++ Builder
Description Installation fails with these messages. Using C++ Builder, Build 10.166.

...\jvcl\design\JvColorProviderAddDialogForm.pas(160) Error: Undeclared identifier: 'lue'
...\jvcl\design\JvColorProviderAddDialogForm.pas(163) Error: Statement expected but 'PROCEDURE' found
...\jvcl\design\JvColorProviderAddDialogForm.pas(165) Error: Identifier redeclared: 'TfrmAddColor.ConsumerChanged'

JvColorProviderAddDialogForm.pas is attached. I don't see anything suspicious in that file.

Subsequent attempts to install fail with possibly other error messages, but always on line 160 in JvColorProviderAddDialogForm.pas.
Additional Information Default installation configuration of JVCL.

Tags No tags attached.
Attached Files ? file icon JvColorProviderAddDialogForm.pas [^] (10,488 bytes) 2005-11-06 07:09

- Relationships

-  Notes
(0008124)
obones (administrator)
2005-11-22 08:31

Which version of the JVCL ?

Have you tried with a daily zip ? http://jvcl.sf.net/daily/ [^]
(0008148)
buskmann (reporter)
2005-11-22 15:57

I downloaded the latest daily zip (2005-11-22) of both JCL and JVCL, and it worked like charm. I deleted the original folders with the erroronous files, so I can't do a diff of JvColorProviderAddDialogForm.pas.
(0008150)
obones (administrator)
2005-11-23 00:56

Thanks for the feedback.

- Issue History
Date Modified Username Field Change
2005-11-06 07:09 buskmann New Issue
2005-11-06 07:09 buskmann File Added: JvColorProviderAddDialogForm.pas
2005-11-22 08:31 obones Note Added: 0008124
2005-11-22 08:31 obones Status new => feedback
2005-11-22 15:57 buskmann Note Added: 0008148
2005-11-23 00:56 obones Status feedback => resolved
2005-11-23 00:56 obones Resolution open => fixed
2005-11-23 00:56 obones Assigned To => obones
2005-11-23 00:56 obones Note Added: 0008150


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker